Public IP
All operations require authentication.
1 operationv2/publicCloud/project
List public IPsProduction
GET
/v2/ publicCloud/ project/ {projectId}/ publicIp
Returns every public IP address of the project with its kind, as a lightweight summary. For full details, use the additional, Ext-Net or floating IP routes.
Path parameters
project Id
required
string
Project ID
Headers
X- Pagination- Cursor
string
Pagination cursor
X- Pagination- Size
integer
Pagination size
Response
200Public IPSummary []successful operation
ip
read-only
ip
The public IP address
type
read-only
Public IPKind Enum
Kind of the public IP address
Values
ADDITIONAL_IPEXT_NET_IPFLOATING_IPExample uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ publicIp \
-H "authorization: Bearer $OVH_TOKEN"[ { "ip": "192.0.2.0", "type": "ADDITIONAL_IP" }]